Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 313463 - gnome-extra/gnome-lirc-properties: Verify and potentially improve Python-related code
Summary: gnome-extra/gnome-lirc-properties: Verify and potentially improve Python-rela...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 308257
  Show dependency tree
 
Reported: 2010-04-06 17:16 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2010-10-10 16:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-04-06 17:16:07 UTC
- If this package can be used as a library and installs Python modules
  (*.so or *.py) into site-packages directories, then consider supporting
  installation for multiple Python versions.
  Please read section "Types of packages" in documentation [1] to decide
  if this package can support installation for multiple Python versions.

- Ensure that the ebuilds do not use deprecated functions or variables.

- Please check if Python 3 is supported by this package. You can temporarily
  set Python 3 as main active version of Python to properly test if this
  package supports Python 3.

- If this package does not support Python 3:
  - Specify dependency on Python 2.
    You can use PYTHON_DEPEND helper variable, which should be set before
    inheriting of python eclass.
    Please read section "Specification of dependency on Python" in
    documentation [1].

  - If this package cannot support installation for multiple versions of
    Python, then set active version of Python using
    python_set_active_version().

  - Ensure that shebangs in installed scripts specify correct version of
    Python. If shebangs are too generic (e.g. '#!/usr/bin/python'), then you
    can use python_convert_shebangs() to convert shebangs.
    (Wrapper scripts generated by python_generate_wrapper_scripts() do not
    require any changes.)
    Please read section "Shebangs in installed scripts" in documentation [1].

  - To ensure that changes applied to the ebuilds are sufficient, please
    temporarily set Python 3 as main active version of Python and test if
    this package can be properly installed and if it works at run time.

Please see documentation [1] for more details.
[1] http://www.gentoo.org/proj/en/Python/developersguide.xml
Comment 1 Samuli Suominen gentoo-dev 2010-10-06 19:15:50 UTC
+*gnome-lirc-properties-0.5.1 (06 Oct 2010)
+
+  06 Oct 2010; Samuli Suominen <ssuominen@gentoo.org>
+  +gnome-lirc-properties-0.5.1.ebuild:
+  Version bump (to replace policykit with polkit). Fix building wrt #280693
+  by Kyle Evans. Fix python usage wrt #313463 by Arfrever Frehtes Taifersar
+  Arahesis.
Comment 2 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-10-10 16:34:36 UTC
gnome-extra/gnome-lirc-properties-0.5.1 doesn't set locally active version of Python, so python_mod_optimize() and python_mod_cleanup() will use main active version of Python, which might be Python 3.*.
Comment 3 Samuli Suominen gentoo-dev 2010-10-10 16:40:29 UTC
(In reply to comment #2)
> gnome-extra/gnome-lirc-properties-0.5.1 doesn't set locally active version of
> Python, so python_mod_optimize() and python_mod_cleanup() will use main active
> version of Python, which might be Python 3.*.
> 

Sorry about that, please cvs up and check the ebuild now. It should be good now.